#include <stdbool.h>
#include <stdint.h>

#include "../common/bump.h"
#include "../common/delay.h"
#include "../common/clock.h"

#define DUMP_SIZE 256

uint8_t bump_status;
uint8_t bump_dump[DUMP_SIZE];

void DebugDump(uint8_t bump) {
    static idx = 0;
    idx = (idx + 1) % DUMP_SIZE;
    bump_dump[idx] = bump;
}

int main(void) {
    ClockInit48MHz();
    BumpInit();

    while (true) {
        // 10ms delay
        Delay1ms(10);
        bump_status = BumpRead();
        // debug dump
        DebugDump(bump_status);
    }
}
